### Method

# Dex Object ref

#### Declaration [src]

    DexObject*
    dex_ref (
      DexObject* object
    )

#### Description [src]

Acquires a reference on the given object, and increases its reference count by one.

#### Return value

Type: `DexObject`

The object with its reference count increased.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.